globus_uuid.h(3)

NAME
globus_uuid.h - Globus UUID Generator.

SYNOPSIS

#include 'globus_common_include.h'
#include 'globus_libc.h'

  Functions

int globus_uuid_create (globus_uuid_t *uuid)
Create UUID

Creates a time based, Leach-Salz variant uuid, using the mac address when available. "
int globus_uuid_import (globus_uuid_t *uuid, const char *str)
Import a UUID

Import a string in the text UUID format into a globus_uuid_t value. "
int globus_uuid_fields (globus_uuid_t *uuid, globus_uuid_fields_t *uuid_fields)
Extract fields from UUID

Copy the fields from uuid to uuid_fields in host byte order. "

Detailed Description

Globus UUID Generator.

Author

Generated automatically by Doxygen for globus_common from the source code.